package fr.uha.gabalier.controller;

import fr.uha.gabalier.view.Preview;
import fr.uha.gabalier.view.View;

import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.List;

public class ImageController<T> extends Controller<List<Image>> implements ActionListener {

    private int index;

    public ImageController(List<Image> newModel) {
        super(newModel);
        this.index = 0;
    }

    @Override
    public void actionPerformed(ActionEvent evt) {
        switch (evt.getActionCommand()) {
            case Preview.LEFT_COMMAND :
                doLeft();
                break;
            case Preview.RIGHT_COMMAND:
                doRight();
                break;
        }
    }

    private void doRight() {
        if (getModel() == null) return;
        if (getModel().size() == 0) return;
        if (++index > getModel().size() - 1) index = 0;
        getView().repaint();
    }

    private void doLeft() {
        if (getModel() == null) return;
        if (getModel().size() == 0) return;
        if (--index < 0) index = getModel().size() - 1;
        getView().repaint();
    }

    public int getIndex() {
        return index;
    }

    public void resetIndex() {
        this.index = 0;
    }

    public void setModel(List<Image> model) {
        super.setModel(model);
        this.index = 0;
    }
}
