package fr.uha.gabalier.util;

import javax.imageio.ImageIO;
import java.awt.*;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.IOException;
import java.util.HashMap;

public final class ImageLib {
	
	private static HashMap<Image,File> save = new HashMap<Image,File>();

    public static Image createScaledImage(File file, int iconWidth, int iconHeight) {
        final BufferedImage img;
        try {
            if ((img = ImageIO.read(file)) != null) {
            	Image image = img.getScaledInstance(iconWidth, iconHeight, Image.SCALE_DEFAULT);
            	save.put(image, file);
                return image;
            }
        } catch (IOException e) {
            e.printStackTrace();
        }
        return null;
    }

    private ImageLib() {}
    
    public static File getFileFromImage(Image img) {
    	return save.get(img);
    }
}
