package fr.uha.gabalier.view;

import java.awt.BorderLayout;
import java.awt.Graphics;
import java.awt.Image;
import java.awt.image.BufferedImage;
import java.io.IOException;

import javax.imageio.ImageIO;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.SwingConstants;

import fr.uha.gabalier.util.ImageLib;

public class BigView extends JPanel {

	private static final long serialVersionUID = 1197679995105162808L;
	private BufferedImage image;

	public BigView(Image image) {
		setLayout(new BorderLayout(0, 0));
		JPanel imageDisplay = new JPanel();
		add(imageDisplay, BorderLayout.SOUTH);

		try {
			this.image = ImageIO.read(ImageLib.getFileFromImage(image));
		} catch (IOException e) {
			e.printStackTrace();
		}

		JLabel imageName = new JLabel(ImageLib.getFileFromImage(image).getName());
		imageName.setEnabled(false);
		imageName.setHorizontalAlignment(SwingConstants.LEADING);
		add(imageName, BorderLayout.NORTH);

	}

	@Override
	public void paintComponent(Graphics g) {
		g.drawImage(this.image, 0, 0, null);
	}

}
